<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../../wtp.xsl"?>
<html>
	<head>
		<meta
			name="root"
			content="../../.." />
		<title>Architecture Group Page</title>
	</head>
	<body>
		<h1>WTP Architecture Group Page</h1>
		<h2>Architecture Documents</h2>
		<a
			href="subsystems/SubsystemsAndFeatures.html">
			Proposed Architecture Document (10/09/2005)
		</a>
		<a
			href="http://www.eclipse.org/org/councils/AC/wtpsnapshot/wtp_project_architecture.html">
			Current Architecture Document (2/15/2005)
		</a>
		This is the one reviewed and approved by Eclipse Foundation
		Board, and is the "official one". Any updates to it should be
		consistent, or differences explained.
		<a href="ArchitectureOverview.html">
			Previous Architecture Document (12/2/2004)
		</a>
		<a href="ArchitectureOverviewInitial.html">
			Previous Architecture Document (8/16/2004)
		</a>
		<h2>Assessments</h2>
		<a href="M4ArchCheckPoint.html">
			Overall Architectural Assessment at M4 (5/12/2005)
		</a>
		<h2>
			Pre-release Components
			<a name="openhouse">Open</a>
			House
		</h2>
		<p>
		<b>
		<i>
		This series of open house presentations is complete for our 
		July (0.7) Release. Much thanks to all those who participated
		as presenters and attendees. 
		</i>
		</b>
		</p>
		<h3>What</h3>
		<p>
			The Architecture Group is hosting a "Components Open House"
			to give a chance for more direct presentations from
			component leads to the PMC and other interested parties. The
			primary goal is to help promote steady progress towards our
			Eclipse release review. The secondary goal is that WTP is
			large and complex and even for a technical audience it helps
			to have someone "walk you through it" (as in a true "open
			house"). The presentations are not for end-users to learn
			'how to' nor product managers to learn of plans and
			schedules (there are other avenues for those activities) but
			instead is more oriented towards describing the current
			state of the components to the project leads, PMC, and
			others who might be developing add-ins or add-ons to WTP.
			This is intended to be a sharing of information to help
			others get oriented to the project and components and hear
			of any issues (or gracious compliments :) that should be
			documented.
		</p>
		<p>
			The presentations from lead developers will briefly cover
			<ul>
				<li>current end-user features</li>
				<li>current designs and APIs</li>
				<li>current quality</li>
			</ul>
		</p>
		<p>
			The presentations will be made available on our mirrored
			<a
				href="http://www.eclipse.org/webtools/community/presentations.html">
				download-presentations-archive
			</a>
			(in advance, when possible).
		</p>
		<h3>How</h3>
		<p>
			The presentations will be given via
			<a href="openhouse/webconference.html">"web conference"</a>
			concurrent with a
			<a href="openhouse/phoneInfo.html">conference phone.</a>
			For the web conference, there is a special "sign up"
			required for those outside IBM to gain a userid and password
			(it is not a confidential meeting, but it does access some
			IBM based services which require pre-registration and the
			sign-on).
		</p>
		<h3>When</h3>
		<p>
			<center>
				<p>
					Below is the current schedule --
					<b>Thursdays, 12 to 2 EDT.</b>
					<br />
				</p>
			</center>
			<table
				align="center"
				width="70%"
				border="1"
				cellpadding="2"
				cellspacing="2">
				<tbody>
					<tr>
						<th>Date</th>
						<th>SubSystems/Components/Topics</th>
						<th>Organizer/Presenter</th>
					</tr>
					<tr valign="top">
						<td>5/19/2005</td>
						<td>
							Server Components
							<br />
							<a
								href="http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/presentations/2005/05-19-wtp-open-house/server-tools.ppt"
								name="2005/05-19-wtp-open-house/server-tools.ppt">
								<em>WTP Server Tools Open House</em>
							</a>
							<br />
							Database Components
							<a
								href="http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/presentations/2005/05-19-wtp-open-house/data-tools.ppt"
								name="2005/05-19-wtp-open-house/data-tools.ppt">
								<em>Component: RDB</em>
							</a>
						</td>
						<td>
							Tim DeBoer
							<br />
							<br />
							Der Ping Chou
							<br />
						</td>
					</tr>
					<tr valign="top">
						<td>5/26/2005</td>
						<td>
							Web Services
							<br />
							<a
								href="http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/presentations/2005/05-26-wtp-open-house/web-service-tools.ppt"
								name="2005/05-26-wtp-open-house/web-service-tools.ppt">
								<em>
									Eclipse WTP Project Web Service
									Tools Open House
								</em>
							</a>
							<br />
						</td>
						<td>Chris Brealey</td>
					</tr>
					<tr valign="top">
						<td>6/2/2005</td>
						<td>
							Common Components
							<br />
							<a
								href="http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/presentations/2005/06-02-wtp-open-house/common-tools-06-02-1530-highlighted2.ppt"
								name="2005/06-02-wtp-open-house/common-tools-06-02-1530-highlighted2.ppt">
								<em>
									Eclipse WTP Project Common
									Components Open House
								</em>
							</a>
							<br />
						</td>
						<td>Craig Salter</td>
					</tr>
					<tr valign="top">
						<td>
							6/9/2005
							<br />
							<br />
						</td>
						<td>
							WTP Source Editors (XML, JSP, etc)
							<br />
							<a
								href="http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/presentations/2005/06-09-wtp-open-house/sse-openhouse-6-9.ppt"
								name="2005/06-09-wtp-open-house/sse-openhouse-6-9.ppt">
								<em>
									Eclipse WTP Project Source Editing
									Components Open House
								</em>
							</a>
							<br />
						</td>
						<td>
							David Williams
							<br />
							<br />
						</td>
					</tr>
					<tr valign="top">
						<td>6/16/2005</td>
						<td>
							J2EE (and Flexible Projects)
							<br />
<a href="http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/presentations/2005/06-16-wtp-open-house/j2ee-tools-06-16.ppt" name="2005/06-16-wtp-open-house/j2ee-tools-06-16.ppt"><em>Eclipse WTP Project J2EE Tools and Flexible Project Components Open House</em></a>							<br />
						</td>
						<td>Chuck Bridgham</td>
					</tr>
				</tbody>
			</table>
		</p>
		<h2>Current Members</h2>
		<ul>
			<li>
				David Williams, IBM. Architecture Group Lead and Eclipse
				Architecture Council representative from WTP
			</li>
			<li>Chuck Bridgham, IBM</li>
			<li>Kevin Haaland, IBM</li>
			<li>Ted Bashor, BEA</li>
			<li>Naci Dai, Eteration</li>
		</ul>
	</body>
</html>
